IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Tasks

Tasks defined per event.

The task object

Attributes

iduuid

Unique identifier

calendar_event_iduuid
calendar_events.id

Identifier of the related calendar event

task_template_iduuid | null
task_templates.id

Identifier of the related product task

created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

completed_attimestamp with time zone | null

Timestamp at which the task was completed

due_attimestamp with time zone

Due date of the task

ftstsvector
labeltext

Label of the task

notification_sent_attimestamp with time zone | null

Timestamp of the last notification sent

schedule"manual" | "arrival" | "departure"

Task schedule relative to the event

The task object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "calendar_event_id": "00000000-0000-0000-0000-000000000000",
  "task_template_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:27:42.573Z",
  "updated_at": "2026-03-12T05:27:42.573Z",
  "completed_at": "2026-03-12T05:27:42.573Z",
  "due_at": "2026-03-12T05:27:42.573Z",
  "label": "",
  "notification_sent_at": "2026-03-12T05:27:42.573Z",
  "schedule": "arrival"
}

List tasks

Filters

idFilter<uuid>

Unique identifier

calendar_event_idFilter<uuid>
calendar_events.id

Identifier of the related calendar event

task_template_idFilter<uuid | null>
task_templates.id

Identifier of the related product task

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

completed_atFilter<timestamp with time zone | null>

Timestamp at which the task was completed

due_atFilter<timestamp with time zone>

Due date of the task

ftsFilter<tsvector>
labelFilter<text>

Label of the task

notification_sent_atFilter<timestamp with time zone | null>

Timestamp of the last notification sent

scheduleFilter<"manual" | "arrival" | "departure">

Task schedule relative to the event

Responses

200

A list of tasks with the selected columns

206

Partial Content

GET /tasks
curl -X GET "https://api.bookingmood.com/v1/tasks?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create tasks

Body

Partial<Task> | Array<Partial<Task>>

Responses

201

The newly created tasks with the selected columns

POST /tasks
curl -X POST "https://api.bookingmood.com/v1/tasks" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete tasks

Filters

idFilter<uuid>

Unique identifier

calendar_event_idFilter<uuid>
calendar_events.id

Identifier of the related calendar event

task_template_idFilter<uuid | null>
task_templates.id

Identifier of the related product task

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

completed_atFilter<timestamp with time zone | null>

Timestamp at which the task was completed

due_atFilter<timestamp with time zone>

Due date of the task

ftsFilter<tsvector>
labelFilter<text>

Label of the task

notification_sent_atFilter<timestamp with time zone | null>

Timestamp of the last notification sent

scheduleFilter<"manual" | "arrival" | "departure">

Task schedule relative to the event

Responses

204

The deleted tasks with the selected columns

DELETE /tasks
curl -X DELETE "https://api.bookingmood.com/v1/tasks" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update tasks

Filters

idFilter<uuid>

Unique identifier

calendar_event_idFilter<uuid>
calendar_events.id

Identifier of the related calendar event

task_template_idFilter<uuid | null>
task_templates.id

Identifier of the related product task

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

completed_atFilter<timestamp with time zone | null>

Timestamp at which the task was completed

due_atFilter<timestamp with time zone>

Due date of the task

ftsFilter<tsvector>
labelFilter<text>

Label of the task

notification_sent_atFilter<timestamp with time zone | null>

Timestamp of the last notification sent

scheduleFilter<"manual" | "arrival" | "departure">

Task schedule relative to the event

Body

Partial<Task>

Responses

204

The updated tasks with the selected columns

PATCH /tasks
curl -X PATCH "https://api.bookingmood.com/v1/tasks" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'